/*
 * TrkXAngHistoAction.cpp
 *
 *  Created on: 2009-11-23
 *      Author: S. Ricciarini
 */

/*! @file TrkXAngHistoAction.cpp The TrkXAngHistoAction class implementation file. */

#include "TrkXAngHistoAction.h"

  TrkXAngHistoAction::TrkXAngHistoAction(const char *actionName, TString outFileBase, TString mode, bool outRoot, bool outText, TString title):   
  Histo1DAction<Int_t> (actionName, title, outFileBase, mode, outRoot, outText) {
  SetXAxis("XZ angle (deg)",100,-30.,+30.); 
  }
 
void TrkXAngHistoAction::OnGood(PamLevel2 *event) {

  Float_t angle = event->GetTrack(0)->GetTrkTrack()->axv[0];
  Fill(angle);

}
